Project

General

Profile

Bug #13663

Repository sync is broken

Added by Sachin Ghai over 6 years ago. Updated almost 4 years ago.

Status:
Rejected
Priority:
High
Assignee:
-
Category:
-
Target version:
Difficulty:
Triaged:
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

I was trying to sync custom repos and found that sync is getting failed on latest nightly..

2016-02-11 04:16:47 [foreman-tasks/action] [E] An error occurred during the sync 
 | {"url"=>"http://example.redhat.com/released/RHEL-7/7.2/Server/x86_64/os/389-ds-base-1.3.4.0-19.el7.x86_64.rpm", "errors"=>["Not Found"]} (RuntimeError)
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-2.5.0/app/lib/actions/pulp/repository/sync.rb:53:in `block in check_error_details'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-2.5.0/app/lib/actions/pulp/repository/sync.rb:50:in `each'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-2.5.0/app/lib/actions/pulp/repository/sync.rb:50:in `check_error_details'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-2.5.0/app/lib/actions/pulp/repository/sync.rb:41:in `finalize'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.9/lib/dynflow/action.rb:528:in `block (2 levels) in execute_finalize'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.9/lib/dynflow/middleware/stack.rb:26:in `call'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.9/lib/dynflow/middleware/stack.rb:26:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.9/lib/dynflow/middleware.rb:17:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.9/lib/dynflow/middleware.rb:38:in `finalize'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.9/lib/dynflow/middleware/stack.rb:22:in `call'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.9/lib/dynflow/middleware/stack.rb:26:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.9/lib/dynflow/middleware.rb:17:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-2.5.0/app/lib/actions/middleware/remote_action.rb:20:in `block in finalize'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-2.5.0/app/lib/actions/middleware/remote_action.rb:40:in `block in as_remote_user'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-2.5.0/app/models/katello/concerns/user_extensions.rb:20:in `cp_config'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-2.5.0/app/lib/actions/middleware/remote_action.rb:27:in `as_cp_user'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-2.5.0/app/lib/actions/middleware/remote_action.rb:39:in `as_remote_user'

I tried hammer too and found same issue

reproducible build packages:
--------------------------
tfm-rubygem-hammer_cli_foreman_tasks-0.0.9-2.fm1_11.el6.noarch
tfm-rubygem-foreman-tasks-0.7.11-1.fm1_11.el6.noarch
katello-common-2.5.0-4.nightly.el6.noarch
pulp-rpm-plugins-2.8.0-0.4.beta.el6.noarch
katello-default-ca-1.0-1.noarch
katello-repos-2.4.0-2.nightly.el6.noarch
python-isodate-0.5.0-4.pulp.el6.noarch
foreman-debug-1.11.0-0.develop.201602091012git5ac689f.el6.noarch
createrepo-0.9.9-21.2.pulp.el6.noarch
python-pulp-bindings-2.8.0-0.4.beta.el6.noarch
python-pulp-docker-common-2.0.0-0.4.beta.el6.noarch
foreman-vmware-1.11.0-0.develop.201602091012git5ac689f.el6.noarch
tfm-rubygem-hammer_cli_foreman_bootdisk-0.1.3-4.el6.noarch
tfm-rubygem-foreman_gutterball-0.0.1-5.el6.noarch
pulp-server-2.8.0-0.4.beta.el6.noarch
pulp-puppet-plugins-2.8.0-0.4.beta.el6.noarch
katello-certs-tools-2.4.0-1.el6.noarch
pulp-selinux-2.8.0-0.4.beta.el6.noarch
python-pulp-common-2.8.0-0.4.beta.el6.noarch
python-pulp-puppet-common-2.8.0-0.4.beta.el6.noarch
katello-service-2.5.0-4.nightly.el6.noarch
foreman-1.11.0-0.develop.201602091012git5ac689f.el6.noarch
foreman-ovirt-1.11.0-0.develop.201602091012git5ac689f.el6.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.3-5.el6.noarch
foreman-gce-1.11.0-0.develop.201602091012git5ac689f.el6.noarch
foreman-libvirt-1.11.0-0.develop.201602091012git5ac689f.el6.noarch
tfm-rubygem-katello-2.5.0-.201602051733gitb043bc51.nightly.el6.noarch
pulp-nodes-parent-2.8.0-0.4.beta.el6.noarch
katello-2.5.0-4.nightly.el6.noarch
katello-server-ca-1.0-1.noarch
foreman-postgresql-1.11.0-0.develop.201602091012git5ac689f.el6.noarch
mod_wsgi-3.4-2.pulp.el6.x86_64
foreman-release-1.11.0-0.develop.201602091012git5ac689f.el6.noarch
foreman-release-scl-2-1.el6.x86_64
pulp-puppet-tools-2.8.0-0.4.beta.el6.noarch
katello-installer-2.5.0-1.nightly.201602051801git5f95a31.el6.noarch
foreman-compute-1.11.0-0.develop.201602091012git5ac689f.el6.noarch
tfm-rubygem-foreman_hooks-0.3.9-2.fm1_11.el6.noarch
tfm-rubygem-foreman_docker-2.0.1-1.fm1_11.el6.noarch
python-pulp-oid_validation-2.8.0-0.4.beta.el6.noarch
pulp-nodes-common-2.8.0-0.4.beta.el6.noarch
pulp-docker-plugins-2.0.0-0.4.beta.el6.noarch
foreman-selinux-1.11.0-0.develop.201601041235git6234447.el6.noarch
rubygem-smart_proxy_pulp-1.2.0-1.el6.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
katello-installer-base-2.5.0-1.nightly.201602051801git5f95a31.el6.noarch
python-pulp-rpm-common-2.8.0-0.4.beta.el6.noarch
tfm-rubygem-hammer_cli_foreman-0.5.1-2.201601281449git35f095e.el6.noarch
python-kombu-3.0.24-11.pulp.el6.noarch
tfm-rubygem-hammer_cli_katello-0.0.20-1.el6.noarch
python-pulp-repoauth-2.8.0-0.4.beta.el6.noarch
katello-debug-2.5.0-4.nightly.el6.noarch
pulp-katello-1.0-1.el6.noarch
foreman-proxy-1.11.0-0.develop.201601271538gite26eb4f.el6.noarch
katello-selinux-2.2.2-1.el6.noarch

repo_sync.txt repo_sync.txt 16.4 KB complete traceback Sachin Ghai, 02/11/2016 04:24 AM
sync_error_ui.png View sync_error_ui.png 40.6 KB Sachin Ghai, 02/11/2016 09:42 AM
Sync error ui

History

#2 Updated by Eric Helms over 6 years ago

  • Status changed from New to Need more information

This output doesn't look like a Pulp failure on the surface, but rather Pulp indicating that a particular RPM was not found in the repository (even though the metadata says it should be there).

#3 Updated by Justin Sherrill over 6 years ago

  • Status changed from Need more information to Rejected

This is pulp issue in nightly. It will be fixed with the next pulp beta which should hit nightly in the next few days.

https://pulp.plan.io/issues/1608

Closing

#4 Updated by Sachin Ghai over 6 years ago

None of the packages being downloaded as per webUI status. I'll investigate further.

#5 Updated by Justin Sherrill almost 6 years ago

  • Legacy Backlogs Release (now unused) set to 166

Also available in: Atom PDF